<?php
require_once(getabspath("classes/cipherer.php"));
$tdataarticulo = array();
	$tdataarticulo[".NumberOfChars"] = 80; 
	$tdataarticulo[".ShortName"] = "articulo";
	$tdataarticulo[".OwnerID"] = "";
	$tdataarticulo[".OriginalTable"] = "articulo";

//	field labels
$fieldLabelsarticulo = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsarticulo["Spanish"] = array();
	$fieldToolTipsarticulo["Spanish"] = array();
	$fieldLabelsarticulo["Spanish"]["idarticulo"] = "Idarticulo";
	$fieldToolTipsarticulo["Spanish"]["idarticulo"] = "";
	$fieldLabelsarticulo["Spanish"]["codigo"] = "Código";
	$fieldToolTipsarticulo["Spanish"]["codigo"] = "";
	$fieldLabelsarticulo["Spanish"]["idcategoria"] = "Categoria";
	$fieldToolTipsarticulo["Spanish"]["idcategoria"] = "";
	$fieldLabelsarticulo["Spanish"]["idsubcategoria"] = "Sub Categoria";
	$fieldToolTipsarticulo["Spanish"]["idsubcategoria"] = "";
	$fieldLabelsarticulo["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsarticulo["Spanish"]["nombre"] = "";
	$fieldLabelsarticulo["Spanish"]["stock"] = "Stock";
	$fieldToolTipsarticulo["Spanish"]["stock"] = "";
	$fieldLabelsarticulo["Spanish"]["observacion"] = "Observación";
	$fieldToolTipsarticulo["Spanish"]["observacion"] = "";
	$fieldLabelsarticulo["Spanish"]["costo"] = "Costo";
	$fieldToolTipsarticulo["Spanish"]["costo"] = "";
	$fieldLabelsarticulo["Spanish"]["precio"] = "Precio";
	$fieldToolTipsarticulo["Spanish"]["precio"] = "";
	$fieldLabelsarticulo["Spanish"]["fecha_carga"] = "Fecha Carga";
	$fieldToolTipsarticulo["Spanish"]["fecha_carga"] = "";
	$fieldLabelsarticulo["Spanish"]["idproveedor"] = "Proveedor";
	$fieldToolTipsarticulo["Spanish"]["idproveedor"] = "";
	$fieldLabelsarticulo["Spanish"]["prefijo_cod"] = "Prefijo código";
	$fieldToolTipsarticulo["Spanish"]["prefijo_cod"] = "";
	$fieldLabelsarticulo["Spanish"]["sufijo_cod"] = "Sufijo código";
	$fieldToolTipsarticulo["Spanish"]["sufijo_cod"] = "";
	$fieldLabelsarticulo["Spanish"]["ult_cod_generado"] = "Ultimo número generado para código";
	$fieldToolTipsarticulo["Spanish"]["ult_cod_generado"] = "";
	if (count($fieldToolTipsarticulo["Spanish"]))
		$tdataarticulo[".isUseToolTips"] = true;
}
	
	
	$tdataarticulo[".NCSearch"] = true;



$tdataarticulo[".shortTableName"] = "articulo";
$tdataarticulo[".nSecOptions"] = 0;
$tdataarticulo[".recsPerRowList"] = 1;
$tdataarticulo[".mainTableOwnerID"] = "";
$tdataarticulo[".moveNext"] = 1;
$tdataarticulo[".nType"] = 0;

$tdataarticulo[".strOriginalTableName"] = "articulo";




$tdataarticulo[".showAddInPopup"] = true;

$tdataarticulo[".showEditInPopup"] = true;

$tdataarticulo[".showViewInPopup"] = false;

$tdataarticulo[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdataarticulo[".listAjax"] = true;
else 
	$tdataarticulo[".listAjax"] = false;

	$tdataarticulo[".audit"] = false;

	$tdataarticulo[".locking"] = false;

$tdataarticulo[".edit"] = true;

$tdataarticulo[".exportTo"] = true;


$tdataarticulo[".delete"] = true;

$tdataarticulo[".showSimpleSearchOptions"] = false;

$tdataarticulo[".showSearchPanel"] = true;

if (isMobile())
	$tdataarticulo[".isUseAjaxSuggest"] = false;
else 
	$tdataarticulo[".isUseAjaxSuggest"] = true;

$tdataarticulo[".rowHighlite"] = true;

// button handlers file names

$tdataarticulo[".addPageEvents"] = false;

// use timepicker for search panel
$tdataarticulo[".isUseTimeForSearch"] = false;




$tdataarticulo[".allSearchFields"] = array();

$tdataarticulo[".allSearchFields"][] = "ult_cod_generado";
$tdataarticulo[".allSearchFields"][] = "idarticulo";
$tdataarticulo[".allSearchFields"][] = "codigo";
$tdataarticulo[".allSearchFields"][] = "costo";
$tdataarticulo[".allSearchFields"][] = "prefijo_cod";
$tdataarticulo[".allSearchFields"][] = "sufijo_cod";
$tdataarticulo[".allSearchFields"][] = "idcategoria";
$tdataarticulo[".allSearchFields"][] = "precio";
$tdataarticulo[".allSearchFields"][] = "idsubcategoria";
$tdataarticulo[".allSearchFields"][] = "nombre";
$tdataarticulo[".allSearchFields"][] = "stock";
$tdataarticulo[".allSearchFields"][] = "idproveedor";
$tdataarticulo[".allSearchFields"][] = "fecha_carga";
$tdataarticulo[".allSearchFields"][] = "observacion";

$tdataarticulo[".googleLikeFields"][] = "codigo";
$tdataarticulo[".googleLikeFields"][] = "nombre";
$tdataarticulo[".googleLikeFields"][] = "idcategoria";
$tdataarticulo[".googleLikeFields"][] = "idsubcategoria";
$tdataarticulo[".googleLikeFields"][] = "stock";
$tdataarticulo[".googleLikeFields"][] = "idproveedor";
$tdataarticulo[".googleLikeFields"][] = "fecha_carga";
$tdataarticulo[".googleLikeFields"][] = "prefijo_cod";
$tdataarticulo[".googleLikeFields"][] = "sufijo_cod";
$tdataarticulo[".googleLikeFields"][] = "observacion";

$tdataarticulo[".panelSearchFields"][] = "codigo";
$tdataarticulo[".panelSearchFields"][] = "prefijo_cod";
$tdataarticulo[".panelSearchFields"][] = "sufijo_cod";
$tdataarticulo[".panelSearchFields"][] = "idcategoria";
$tdataarticulo[".panelSearchFields"][] = "idsubcategoria";
$tdataarticulo[".panelSearchFields"][] = "nombre";
$tdataarticulo[".panelSearchFields"][] = "stock";
$tdataarticulo[".panelSearchFields"][] = "idproveedor";
$tdataarticulo[".panelSearchFields"][] = "fecha_carga";
$tdataarticulo[".panelSearchFields"][] = "observacion";

$tdataarticulo[".advSearchFields"][] = "idarticulo";
$tdataarticulo[".advSearchFields"][] = "codigo";
$tdataarticulo[".advSearchFields"][] = "costo";
$tdataarticulo[".advSearchFields"][] = "prefijo_cod";
$tdataarticulo[".advSearchFields"][] = "sufijo_cod";
$tdataarticulo[".advSearchFields"][] = "idcategoria";
$tdataarticulo[".advSearchFields"][] = "precio";
$tdataarticulo[".advSearchFields"][] = "idsubcategoria";
$tdataarticulo[".advSearchFields"][] = "nombre";
$tdataarticulo[".advSearchFields"][] = "stock";
$tdataarticulo[".advSearchFields"][] = "idproveedor";
$tdataarticulo[".advSearchFields"][] = "fecha_carga";
$tdataarticulo[".advSearchFields"][] = "observacion";

$tdataarticulo[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main


$tdataarticulo[".totalsFields"][] = array(
	"fName" => "stock", 
	"numRows" => 0,
	"totalsType" => "TOTAL",
	"viewFormat" => '');

$tdataarticulo[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataarticulo[".strOrderBy"] = $tstrOrderBy;

$tdataarticulo[".orderindexes"] = array();

$tdataarticulo[".sqlHead"] = "SELECT idarticulo,  codigo,  nombre,  idcategoria,  idsubcategoria,  costo,  precio,  stock,  idproveedor,  fecha_carga,  prefijo_cod,  sufijo_cod,  ult_cod_generado,  observacion";
$tdataarticulo[".sqlFrom"] = "FROM articulo";
$tdataarticulo[".sqlWhereExpr"] = "";
$tdataarticulo[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataarticulo[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataarticulo[".arrGroupsPerPage"] = $arrGPP;

$tableKeysarticulo = array();
$tableKeysarticulo[] = "idarticulo";
$tdataarticulo[".Keys"] = $tableKeysarticulo;

$tdataarticulo[".listFields"] = array();
$tdataarticulo[".listFields"][] = "nombre";
$tdataarticulo[".listFields"][] = "codigo";
$tdataarticulo[".listFields"][] = "idcategoria";
$tdataarticulo[".listFields"][] = "idsubcategoria";
$tdataarticulo[".listFields"][] = "stock";
$tdataarticulo[".listFields"][] = "costo";
$tdataarticulo[".listFields"][] = "precio";
$tdataarticulo[".listFields"][] = "idproveedor";
$tdataarticulo[".listFields"][] = "fecha_carga";
$tdataarticulo[".listFields"][] = "observacion";
$tdataarticulo[".listFields"][] = "prefijo_cod";
$tdataarticulo[".listFields"][] = "sufijo_cod";

$tdataarticulo[".viewFields"] = array();

$tdataarticulo[".addFields"] = array();
$tdataarticulo[".addFields"][] = "nombre";
$tdataarticulo[".addFields"][] = "prefijo_cod";
$tdataarticulo[".addFields"][] = "sufijo_cod";
$tdataarticulo[".addFields"][] = "idcategoria";
$tdataarticulo[".addFields"][] = "idsubcategoria";
$tdataarticulo[".addFields"][] = "stock";
$tdataarticulo[".addFields"][] = "costo";
$tdataarticulo[".addFields"][] = "precio";
$tdataarticulo[".addFields"][] = "idproveedor";
$tdataarticulo[".addFields"][] = "fecha_carga";
$tdataarticulo[".addFields"][] = "observacion";

$tdataarticulo[".inlineAddFields"] = array();

$tdataarticulo[".editFields"] = array();
$tdataarticulo[".editFields"][] = "nombre";
$tdataarticulo[".editFields"][] = "codigo";
$tdataarticulo[".editFields"][] = "idcategoria";
$tdataarticulo[".editFields"][] = "idsubcategoria";
$tdataarticulo[".editFields"][] = "stock";
$tdataarticulo[".editFields"][] = "costo";
$tdataarticulo[".editFields"][] = "precio";
$tdataarticulo[".editFields"][] = "idproveedor";
$tdataarticulo[".editFields"][] = "fecha_carga";
$tdataarticulo[".editFields"][] = "ult_cod_generado";
$tdataarticulo[".editFields"][] = "observacion";

$tdataarticulo[".inlineEditFields"] = array();

$tdataarticulo[".exportFields"] = array();
$tdataarticulo[".exportFields"][] = "nombre";
$tdataarticulo[".exportFields"][] = "codigo";
$tdataarticulo[".exportFields"][] = "idcategoria";
$tdataarticulo[".exportFields"][] = "idsubcategoria";
$tdataarticulo[".exportFields"][] = "stock";
$tdataarticulo[".exportFields"][] = "costo";
$tdataarticulo[".exportFields"][] = "precio";
$tdataarticulo[".exportFields"][] = "idproveedor";
$tdataarticulo[".exportFields"][] = "fecha_carga";
$tdataarticulo[".exportFields"][] = "observacion";
$tdataarticulo[".exportFields"][] = "prefijo_cod";
$tdataarticulo[".exportFields"][] = "sufijo_cod";

$tdataarticulo[".printFields"] = array();

//	idarticulo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idarticulo";
	$fdata["GoodName"] = "idarticulo";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Idarticulo"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "idarticulo"; 
		$fdata["FullName"] = "idarticulo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["idarticulo"] = $fdata;
//	codigo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "codigo";
	$fdata["GoodName"] = "codigo";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Código"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "codigo"; 
		$fdata["FullName"] = "codigo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=200";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["codigo"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=60";
	
		$edata["inputStyle"] = " width:350px;";
	$edata["controlWidth"] = 350;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["nombre"] = $fdata;
//	idcategoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "idcategoria";
	$fdata["GoodName"] = "idcategoria";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Categoria"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idcategoria"; 
		$fdata["FullName"] = "idcategoria";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idcategoria";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";
	
		
	$edata["LookupTable"] = "categoria";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		$edata["AllowToAdd"] = true; 
	
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["idcategoria"] = $fdata;
//	idsubcategoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "idsubcategoria";
	$fdata["GoodName"] = "idsubcategoria";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Sub Categoria"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idsubcategoria"; 
		$fdata["FullName"] = "idsubcategoria";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idsubcategoria";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";
	
		
	$edata["LookupTable"] = "subcategoria";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		$edata["AllowToAdd"] = true; 
	
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["idsubcategoria"] = $fdata;
//	costo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "costo";
	$fdata["GoodName"] = "costo";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Costo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "costo"; 
		$fdata["FullName"] = "costo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:80px;";
	$edata["controlWidth"] = 80;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["costo"] = $fdata;
//	precio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "precio";
	$fdata["GoodName"] = "precio";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Precio"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "precio"; 
		$fdata["FullName"] = "precio";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:80px;";
	$edata["controlWidth"] = 80;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["precio"] = $fdata;
//	stock
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "stock";
	$fdata["GoodName"] = "stock";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Stock"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "stock"; 
		$fdata["FullName"] = "stock";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:70px;";
	$edata["controlWidth"] = 70;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["stock"] = $fdata;
//	idproveedor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "idproveedor";
	$fdata["GoodName"] = "idproveedor";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Proveedor"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idproveedor"; 
		$fdata["FullName"] = "idproveedor";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				if(strpos(GetUserPermissions("articulo"), 'S') !== false)
		$edata["LCType"] = 2;
	else 
		$edata["LCType"] = 0;
			
		
			
	$edata["LinkField"] = "idproveedor";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "denominacion";
	
		
	$edata["LookupTable"] = "proveedor";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		$edata["AllowToAdd"] = true; 
	
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["idproveedor"] = $fdata;
//	fecha_carga
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "fecha_carga";
	$fdata["GoodName"] = "fecha_carga";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Fecha Carga"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "fecha_carga"; 
		$fdata["FullName"] = "fecha_carga";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 11; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		$edata["inputStyle"] = " width:80px;";
	$edata["controlWidth"] = 80;
	
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["fecha_carga"] = $fdata;
//	prefijo_cod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "prefijo_cod";
	$fdata["GoodName"] = "prefijo_cod";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Prefijo código"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "prefijo_cod"; 
		$fdata["FullName"] = "prefijo_cod";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:100px;";
	$edata["controlWidth"] = 100;
	
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["prefijo_cod"] = $fdata;
//	sufijo_cod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "sufijo_cod";
	$fdata["GoodName"] = "sufijo_cod";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Sufijo código"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "sufijo_cod"; 
		$fdata["FullName"] = "sufijo_cod";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:100px;";
	$edata["controlWidth"] = 100;
	
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["sufijo_cod"] = $fdata;
//	ult_cod_generado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "ult_cod_generado";
	$fdata["GoodName"] = "ult_cod_generado";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Ultimo número generado para código"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "ult_cod_generado"; 
		$fdata["FullName"] = "ult_cod_generado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:80px;";
	$edata["controlWidth"] = 80;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["ult_cod_generado"] = $fdata;
//	observacion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "observacion";
	$fdata["GoodName"] = "observacion";
	$fdata["ownerTable"] = "articulo";
	$fdata["Label"] = "Observación"; 
	$fdata["FieldType"] = 201;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "observacion"; 
		$fdata["FullName"] = "observacion";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text area");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;
	
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataarticulo["observacion"] = $fdata;

	
$tables_data["articulo"]=&$tdataarticulo;
$field_labels["articulo"] = &$fieldLabelsarticulo;
$fieldToolTips["articulo"] = &$fieldToolTipsarticulo;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["articulo"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["articulo"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_articulo()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idarticulo,  codigo,  nombre,  idcategoria,  idsubcategoria,  costo,  precio,  stock,  idproveedor,  fecha_carga,  prefijo_cod,  sufijo_cod,  ult_cod_generado,  observacion";
$proto0["m_strFrom"] = "FROM articulo";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idarticulo",
	"m_strTable" => "articulo"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "codigo",
	"m_strTable" => "articulo"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "articulo"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "idcategoria",
	"m_strTable" => "articulo"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "idsubcategoria",
	"m_strTable" => "articulo"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "costo",
	"m_strTable" => "articulo"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "precio",
	"m_strTable" => "articulo"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "stock",
	"m_strTable" => "articulo"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "idproveedor",
	"m_strTable" => "articulo"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_carga",
	"m_strTable" => "articulo"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "prefijo_cod",
	"m_strTable" => "articulo"
));

$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "sufijo_cod",
	"m_strTable" => "articulo"
));

$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "ult_cod_generado",
	"m_strTable" => "articulo"
));

$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "observacion",
	"m_strTable" => "articulo"
));

$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto33=array();
$proto33["m_link"] = "SQLL_MAIN";
			$proto34=array();
$proto34["m_strName"] = "articulo";
$proto34["m_columns"] = array();
$proto34["m_columns"][] = "idarticulo";
$proto34["m_columns"][] = "codigo";
$proto34["m_columns"][] = "nombre";
$proto34["m_columns"][] = "idcategoria";
$proto34["m_columns"][] = "idsubcategoria";
$proto34["m_columns"][] = "costo";
$proto34["m_columns"][] = "precio";
$proto34["m_columns"][] = "stock";
$proto34["m_columns"][] = "idproveedor";
$proto34["m_columns"][] = "fecha_carga";
$proto34["m_columns"][] = "prefijo_cod";
$proto34["m_columns"][] = "sufijo_cod";
$proto34["m_columns"][] = "ult_cod_generado";
$proto34["m_columns"][] = "observacion";
$obj = new SQLTable($proto34);

$proto33["m_table"] = $obj;
$proto33["m_alias"] = "";
$proto35=array();
$proto35["m_sql"] = "";
$proto35["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto35["m_column"]=$obj;
$proto35["m_contained"] = array();
$proto35["m_strCase"] = "";
$proto35["m_havingmode"] = "0";
$proto35["m_inBrackets"] = "0";
$proto35["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto35);

$proto33["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto33);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_articulo = createSqlQuery_articulo();
														$tdataarticulo[".sqlquery"] = $queryData_articulo;
	
if(isset($tdataarticulo["field2"])){
	$tdataarticulo["field2"]["LookupTable"] = "carscars_view";
	$tdataarticulo["field2"]["LookupOrderBy"] = "name";
	$tdataarticulo["field2"]["LookupType"] = 4;
	$tdataarticulo["field2"]["LinkField"] = "email";
	$tdataarticulo["field2"]["DisplayField"] = "name";
	$tdataarticulo[".hasCustomViewField"] = true;
}

include_once(getabspath("include/articulo_events.php"));
$tableEvents["articulo"] = new eventclass_articulo;
$tdataarticulo[".hasEvents"] = true;

$cipherer = new RunnerCipherer("articulo");

?>